<?php
namespace Teknisa\PLA\Modules\Prato\Controllers;

use Zeedhi\Framework\DataSource\Manager;
use Zeedhi\Framework\DTO;
use Zeedhi\Framework\DataSource\DataSet as DataSet_Source;

class ProdutoPorPratos extends \Teknisa\GER\Controllers\TeknisaCrud {

    protected $dataSourceName = "produto_por_pratos";
    protected $parameterBagColumns = array(
        "CDFILAUXPRAT", "CDPRATO1", "CDPRATO2", "CDPRODUTO",
        "NRLISTASERV", "CDFILCENTPME", "CDTIPOCARD", "CDFILIAL"
    );

    protected $pratoService;

    public function __construct(
        $crudService, $parameterBag,
        \Teknisa\PLA\Modules\Prato\Services\PratoService $pratoService
    ) {
        parent::__construct($crudService, $parameterBag);
        $this->pratoService = $pratoService;
    }


    public function retornaProdutoPorPratos(
        \Zeedhi\Framework\DTO\Request\Row $request,
        \Zeedhi\Framework\DTO\Response $response
    ){
        $row = $request->getRow();

        $produtos = $this->pratoService->retornaProdutoPorPratos($row);

        $response->addDataset(new DataSet_Source('PRODUTOS', array($produtos)));
    }

}